
package com.ejie.ab63.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for TLanguage.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * <p>
 * 
 * <pre>
 * &lt;simpleType name="TLanguage">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="eu"/>
 *     &lt;enumeration value="es"/>
 *     &lt;enumeration value="bi"/>
 *     &lt;enumeration value="na"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TLanguage", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TLanguage {

	@XmlEnumValue("eu")
	EU("eu"), @XmlEnumValue("es")
	ES("es"), @XmlEnumValue("bi")
	BI("bi"), @XmlEnumValue("na")
	NA("na");
	private final String value;

	TLanguage(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public static TLanguage fromValue(String v) {
		for (TLanguage c : TLanguage.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

}
